<template>
    <q-card bordered class="fit relative-position">
        <slot/>
        <q-btn round icon="clear" flat text-color="negative" @click="dialog = true" class="absolute-top-right" size='sm'/>
        <q-dialog v-model="dialog" v-if="widget != null" persistent>
            <div class="bg-base q-pa-md  q-pa-sm q-gutter-y-sm">
                <div class="text-h6">Remove widget</div>
                <div>Are you sure you want to remove
                    <span class="text-negative">{{ widget.name }}</span>?<br>
                     You cannot undo this action.
                </div>
                <div class="row justify-between">
                    <q-btn color="primary" label="back" @click="dialog = false"/>
                    <q-btn color="negative" outline icon="delete" label="delete" @click="dialog = false; $emit('delete', widget.id)"/>
                </div>
            </div>
        </q-dialog>
    </q-card>
</template>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';
import {Widget} from "src/classLibrary/Dashboard/Dashboard";

@Component
export default class WidgetShell extends Vue {
    @Prop() widget!: Widget;
    dialog = false;
}
</script>

<style lang='scss' scoped>

</style>
